---
title: Community links
---

Thank you to all the Apollo community members who have contributed custom Apollo links! If you've built a link and would like it to be featured, please submit a pull request.

> Links that do not appear to be actively maintained might be removed from this list at Apollo's discretion.

| Link | Author | Description |
|------|--------|-------------|
| [apollo-link-webworker](https://github.com/PCreations/apollo-link-webworker) | [@PCreations](https://github.com/PCreations) | Lets you use GraphQL client-side only, with a webworker as a "server" supporting normal query and subscriptions. |
| [apollo-upload-client](https://github.com/jaydenseric/apollo-upload-client) | [@jaydenseric](https://github.com/jaydenseric) | Enhances Apollo for intuitive file uploads via GraphQL mutations. |
| [apollo-angular-link-http](https://www.npmjs.com/package/apollo-angular-link-http) | [@kamilkisiela](https://github.com/kamilkisiela) | An HTTP link for use with [Apollo Angular](https://apollo-angular.com/). |
| [apollo-angular-link-headers](https://www.npmjs.com/package/apollo-angular-link-headers) | [@kamilkisiela](https://github.com/kamilkisiela) | Transform a key-value object into an instance of `HttpHeaders` (`@angular/common/http`). |
| [react-apollo-network-status](https://github.com/molindo/react-apollo-network-status) | [@amannn](https://github.com/amannn) | Brings information about the global network status from Apollo into React. |
| [apollo-link-watched-mutation](https://github.com/haytko/apollo-link-watched-mutation) | [@haytko](https://github.com/haytko) | Organizes cache invalidations per query on a mutation. |
| [apollo-link-token-refresh](https://github.com/newsiberian/apollo-link-token-refresh) | [@newsiberian](https://github.com/newsiberian) | Performs expired JWT renewal. |
| [link-http-dataloader](https://github.com/graphcool/http-link-dataloader) | [@graphcool](https://github.com/graphcool) | Batching and caching provided by dataloader. |
| [@absinthe/socket-apollo-link](https://github.com/absinthe-graphql/absinthe-socket/tree/master/packages/socket-apollo-link) | [@absinthe-graphql](https://github.com/absinthe-graphql) | Communicate over an Absinthe socket. |
| [apollo-absinthe-upload-link](https://github.com/bytewitchcraft/apollo-absinthe-upload-link) | [@bytewitchcraft](https://github.com/bytewitchcraft) | Enables file uploading to Absinthe backends. |
| [apollo-link-logger](https://github.com/blackxored/apollo-link-logger) | [@blackxored](https://github.com/blackxored) | Logger that uses similar format to redux-logger and includes performance information. |
| [apollo-link-queue](https://github.com/helfer/apollo-link-queue) | [@helfer](https://github.com/helfer) | Buffers requests on a toggle, such as an on/offline event. |
| [apollo-link-optimistic](https://github.com/helfer/apollo-link-optimistic) | [@helfer](https://github.com/helfer) | Returns an immediate optimistic response before returning server results. |
| [apollo-link-serialize](https://github.com/helfer/apollo-link-serialize) | [@helfer](https://github.com/helfer) | Serializes requests by key to ensure execution order. |
| [apollo-link-debounce](https://github.com/helfer/apollo-link-debounce) | [@helfer](https://github.com/helfer) | Debounce requests made within an interval. |
| [apollo-link-segment](https://github.com/hobochild/apollo-link-segment) | [@hobochild](https://github.com/hobochild) | Automatically track apollo operations with [segment](https://segment.com/). |
| [apollo-link-observable](https://github.com/dragozin/apollo-link-observable) | [@dragozin](https://github.com/dragozin) | Link that allows you to make side effects of graphql queries using [RxJS](http://github.com/ReactiveX/RxJS). |
| [apollo-multi-endpoint-link](https://github.com/habx/apollo-multi-endpoint-link) | [@habx](https://github.com/habx) | Add directive to redirect requests to right endpoint |